# Context

This package provides the tools and instructions to use ROS2 on top of DDS-Security.
The security feature is tested across platforms (Linux, macOS, and Windows) as well as across different languages (C++ and Python).

Although we are designing SROS2 to work with any secure middleware, at the moment we are only testing with RTI Connext Secure 5.3.0 and eProsima's Fast-RTPS 1.5.0.
If you want to run the demo using RTI Connext Secure you will need a license for it and you will need to install it.


[Try SROS2 on Linux](https://github.com/ros2/sros2/blob/master/SROS2_Linux.md)

[Try SROS2 on MacOS](https://github.com/ros2/sros2/blob/master/SROS2_MacOS.md)

[Try SROS2 on Windows](https://github.com/ros2/sros2/blob/master/SROS2_Windows.md)

[Try SROS2 in Docker](https://github.com/ros2/sros2/blob/master/SROS2_Docker.md)
